.carousel-inner {
  color: var(--bs-body-bg);
  text-shadow: 1px 1px 2px rgb(0,0,0,0.6);
}

#top-head {
  font-size: 14px;
  line-height: 26px;
}

.top-head-col {
  height: 26px;
}

.top-head-row {
  height: 26px;
}

.img-love {
  width: 100%;
  opacity: 0.9;
}

.front-gallery .item {
  position: relative;
  overflow: hidden;
  max-height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.front-gallery .item img {
  transition: all 0.8s ease-in-out;
  -webkit-transition: all 0.8s ease 0s;
  opacity: 0.9;
}

.front-gallery .item img:hover {
  transform: scale(1.2, 1.2);
  opacity: 1.0;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity 0.5s;
}

.overlay-text {
  color: var(--bs-white);
  font-size: 6px;
  text-transform: uppercase;
  transition: font-size 0.4s;
}

.front-gallery .item:hover .overlay {
  opacity: 1;
}

.front-gallery .item:hover .overlay-text {
  font-size: 22px;
}

.front-gallery .item:hover img {
  transform: scale(1.2, 1.2);
  opacity: 1.0 !important;
}

.eye-item {
  text-align: center;
  color: var(--bs-warning);
}

@media (min-width:1200px) {
  .row-cols-xl-3 > * {
    flex: 0 0 auto;
    width: 33.33333333%;
  }
}

.mega-dropdown-menu {
  padding: 20px;
 
}

@media (min-width:530px) {
  .mega-dropdown-menu {
    padding: 20px;
    
  }
}

.mega-dropdown-menu .dropdown-header {
  font-size: 1.3rem;
  color: #333;
  padding: 5px 20px;
  font-weight: bold;
}

.mega-dropdown-menu .dropdown-item {
  padding: 5px 20px;
  display: block;
  font-size: 0.9rem;
}

.features img {
  width: 90px;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
}

.nav-item {
  text-transform: uppercase;
}

.dropdown-item {
  text-transform: none;
}

/* ********************************************************************************** */

.product-card {
  position: relative;
  width: 320px;
  margin: 0 auto;
  padding: 30px 20px;
}

.product-image {
  position: relative;
  overflow: hidden;
}

.product-image img {
  transition: all 0.6s ease;
  -webkit-transition: all 0.6s ease 0s;
}

.product-image:hover img {
  transform: scale(1.2, 1.2);
}

.main-image {
  width: 100%;
  display: block;
}

.thumbnails-overlay {
  display: flex;
  flex-direction: column;
  justify-content: top;
  position: absolute;
  top: -1px;
  right: -65px;
  opacity: 0;
  background-color: #e9ecef;
  height: calc(100% + 2px);
  padding: 5px 5px;
  box-shadow: 3px 3px 15px rgba(0,0,0,0.06), 3px -3px 15px rgba(0,0,0,0.06);
  border-top: rgba(0,0,0,0.15) 1px solid;
  border-bottom: rgba(0,0,0,0.15) 1px solid;
  border-right: rgba(0,0,0,0.15) 1px solid;
  z-index: 99;
}

.product-card:hover {
  box-shadow: -3px 3px 15px rgba(0,0,0,0.06), -3px -3px 15px rgba(0,0,0,0.06);
  border-top: rgba(0,0,0,0.15) 1px solid;
  border-bottom: rgba(0,0,0,0.15) 1px solid;
  border-left: rgba(0,0,0,0.15) 1px solid;
}

.product-card:hover .thumbnails-overlay {
  opacity: 1;
}

.thumbnail {
  width: 50px;
  margin: 2px;
  cursor: pointer;
  opacity: 0.7;
  transition: transform 0.3s ease;
}

.thumbnail:hover {
  transform: scale(1.1);
  opacity: 1;
}

.product-info {
  padding: 10px;
  text-align: center;
}

.rating {
  color: orange;
  margin: 5px 0;
}

.price {
  font-size: 1.5em;
  margin: 5px 0;
}

.shipping-time {
  color: #666;
  margin: 5px 0;
  font-size: 0.85rem;
  line-height: 1rem;
}

.features-text {
  font-size: 0.9em;
  color: #666;
  margin: 5px 0;
}

h2 {
  font-size: 2.3rem;
}

h6 {
  font-size: 1.4rem;
}

.texthin {
  font-weight: 300 !important;
}

body {
  cursor: image-set("https://d7agjysiompp7.cloudfront.net/s0iu93aqlryo6tqc679wvprrkjvs" 3x), auto !important;
}

.flag-icon {
  text-transform: uppercase;
  font-weight: bold;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu .dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: 0;
}

.nav-item .dropdown-toggle::after {
  display: inline-block;
  margin-left: .255em;
  vertical-align: .255em;
  content: "";
  border-top: .3em solid;
  border-right: .3em solid transparent;
  border-bottom: 0;
  border-left: .3em solid transparent;
}

.nav-item .dropdown-toggle.dropdown-toggle-split::after {
  margin-left: 0;
}

.pagination .page-item.active .page-link {
  background-color: black;
  border-color: black;
}

/* *********************swiper************************************************************* */


.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  background-size: cover;
  background-position: center;
}


.swiper {
  width: 100%;
  height: 300px;
  margin-left: auto;
  margin-right: auto;
}


.swiper-container {
  height: 80%;
  width: 100%;
  overflow: hidden;
}

.thumbsSwiper {
  height: 20%;
  box-sizing: border-box;
  padding: 10px 0;
}

.thumbsSwiper .swiper-slide {
  width: 25%;
  height: 100%;
  opacity: 0.4;
}

.thumbsSwiper .swiper-slide-thumb-active {
  opacity: 1;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.single-prod-left,
.single-prod-right {
  position: relative;
}
/*************** ZOOM LENS *****************/
.zoom-lens {
  position: absolute;
  background-size: contain;
  border: 1px solid #d4d4d4;
  width: 624px;
  height: 426px;
  display: none;
  z-index: 999;
  overflow: hidden;
  top: 0px;
  right: -624px;
}
@media (max-width: 1399.98px) {
  .zoom-lens {
      width: 534px; 
      height: 365px; 
      right: -534px; 
  }
}
@media (max-width: 1199.98px) {
  .zoom-lens {
      width: 444px; 
      height: 304px; 
      right: -444px; 
  }
}

@media (max-width: 991.98px) {
  .zoom-lens {
      width: 324px;
      height: 222px;
      right: -324px;
  }
}

@media (max-width: 767.98px) {
  .zoom-lens {
    display: none !important;
  }
}

.description {
  margin-top: 20px;
  width: 100%;
  overflow: hidden;
}

.swiper-button-prev {
  margin-left: 10px;
}
.swiper-button-next {
  margin-right: 10px;
}
.quantity_inner {
  display: inline-flex;
  border-radius: 5px;
  border: 1px solid #2e477d;
  background-color: #fff;
  font-size: 0.8rem;
}
.quantity_inner .bt_minus, .quantity_inner .bt_plus, .quantity_inner .quantity {
  height: 34px;
  width: 34px;
  padding: 0;
  border: 0;
  margin: 0;
  background: transparent;
  cursor: pointer;
  outline: 0;
  box-sizing: border-box;
  font-size: 0.8rem;
  color: #0c3b86;
}
.quantity_inner .quantity {
  width: 50px;
  text-align: center;
  font-size: 16px;
  color: #000;
  font-family: 'Oswald', sans-serif;
  font-family: "Arial Narrow", Arial, sans-serif;
}
.quantity_inner .bt_minus:hover svg, .quantity_inner .bt_plus:hover svg {
  stroke: #000;
}
.quantity_inner .bt_minus svg, .quantity_inner .bt_plus svg {
  stroke: #aaa;
  stroke-width: 2;
  transition: 0.5s;
  margin: 3px;
}
.quantity_inner * {
  box-sizing: border-box;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #d9230f;
  --bs-btn-border-color: #d9230f;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #b81e0d;
  --bs-btn-hover-border-color: #ae1c0c;
  --bs-btn-focus-shadow-rgb: 223,68,51;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #ae1c0c;
  --bs-btn-active-border-color: #a31a0b;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #d9230f;
  --bs-btn-disabled-border-color: #d9230f;
}


.btn-primary:hover {
  background-image: linear-gradient(#BB2817, #BB2817, #AE2312);
}

.single-article {
  font-weight: bold;
  font-size: 18px;
  line-height: 28px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  margin-top: 8px;
}

.single-short-description {
  font-size: 0.9rem;
}

.top-cart {
  position: relative;
  cursor: pointer !important;
}
.cart-products-count {
  background-color: #BB2817;
  width: 14px;
  height: 14px;
  padding: 1px 1px 1px;
  text-decoration: none;
  display: block;
  color: #FFFFFF;
  font-weight: 700;
  font-size: 12px;
  line-height: 12px;
  position: absolute;
  left: auto;
  text-align: center;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  right: 6px;
  top: auto;
  bottom: 6px;
}




.swal2-styled.swal2-confirm {
 
  background-color: #BB2817 !important;
  color: #fff !important;
  font-size: 1em;
  outline: none !important;
  box-shadow: none !important;
}
.swal2-styled.swal2-confirm:focus {
  background: transparent;
  outline: none;
  box-shadow: none;
}

.swal2-popup {
  max-width: 400px !important;
}

.swal2-icon {
  transform: scale(0.6) !important;
  margin-top: 0px !important;
}
.swal2-html-container {
  margin-top: -20px !important;
}

.swal2-actions {
  margin-top: 0px !important;
}

.breadcrumbs {
  font-size: 0.9rem;
  margin-top: 30px;
  margin-bottom: -20px;
}
.breadcrumbs a {
  color: #000;
  padding-left: 10px;
  padding-right: 10px;
}

.product-list-total {
  font-size: 0.9rem;
  font-weight: bold;
  padding-bottom: 10px;
  margin-top: 20px;
  margin-bottom: 20px;
  border-bottom: #ddd 1px solid;
}

.single-prod-price {
  color: #BB2817;
}

.sort-select {
  width: auto;
  margin-left: auto;
}

.rating-title {
  font-size: 0.9rem;
  font-weight: bold;
}


#saved-rating {
  font-size: 0.9rem;
  font-weight: bold;
}

#saved-rating .bi-star {
  color: gray;
  font-size: 1rem;
}

#saved-rating .bi-star-fill {
  color: orange;
  font-size: 1rem;
}

#star-rating .bi-star {
  color: grey; 
  cursor: pointer;
}

#star-rating .bi-star-fill {
  color: orange; 
  cursor: pointer;
}

#star-rating .star.hover,
#star-rating .star.selected {
  color: orange; 
}




